#ifndef INCLUDED_ARRAY_H
#include <stdlib.h>

typedef struct {
    int *arr;
    size_t used;
    size_t size;
} IntArray;

void IntArray_new(IntArray*, size_t);

int IntArray_append(IntArray*, int);
int IntArray_get(IntArray*, int, int);
int IntArray_length(IntArray*);
void IntArray_mergesort(IntArray*);
void IntArray_mergesort_merge(IntArray*, IntArray*, IntArray*);
void IntArray_quicksort(IntArray*);

void IntArray_free(IntArray*);

#define INCLUDED_ARRAY_H 1
#endif
